# vim: set sw=4 ts=4 et nu:
#
# spec file for package wordgrinder
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wordgrinder
Version:        0.7.1
Release:        1.11
Summary:        Unicode aware Character Cell Word Processor
License:        MIT
Group:          Productivity/Text/Editors
URL:            http://cowlark.com/wordgrinder/
Source:         https://github.com/davidgiven/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  libXft-devel
BuildRequires:  lua-devel >= 5.1
BuildRequires:  lua51-luafilesystem
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRequires:  ninja
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(zlib)

%description
WordGrinder is a Unicode-aware character cell word processor that runs in a
terminal (or a Windows console). It is designed to get the hell out of your way
and let you get some work done.

%prep
%setup -q

%build
make all \
  DESTDIR=%{buildroot} \
  PREFIX=%{_prefix} \
  DOCDIR=%{_docdir} \
  %{?_smp_mflags}

%install
%make_install

%files
%{_bindir}/wordgrinder
%{_bindir}/xwordgrinder
%{_mandir}/man1/wordgrinder.1*
%dir %{_docdir}/%{name}
# README.wg is an example file included for testing
%{_docdir}/%{name}/README.wg

%changelog
* Tue Oct 31 2017 aavindraa@gmail.com
  Several tags that were missed in this release are skipped.
  For example, 0.5.0 and 0.5.2 are both fake releases.
  Overall, the build system was improved and simplified
  greatly. The ports to MacOS (via Homebrew, as well)
  and Windows are complete. The .spec file is a lot simpler
  now because of this.
  `wordgrinder-pmfile.patch` is deleted due to incompatibility
  with the completely new build system.
- Update to 0.7
  + Support newer Lua (5.3)
  + New text-based file format (they are diffable)
  + New build system: faster, more reliable
  + new dense paragraph mode
    removes gaps between paragraphs
  + many bug fixes
- includes changes from 0.6.0 (major release)
  + New X11 frontend
  + Italic display in terminals (bold and italic on Linux for the
    first time)
  + Colour configuration on X11 and Windows
  + global key maps (via a config file)
  + smart quote support
  + more efficient and smaller files
  + undo and redo
  + spellchecker
  + search works properly across words with markup
  + export to MarkDown (.md)
  + more HTML emission fixes
  + persistent settings that aren't stored in the document
  + more traditional charstyle selection (you can now press ^B at
    the beginning of words)
  + more traditional selection model (shift+cursor keys)
  + fix crash when large .wg files are loaded
- includes changes from 0.5.2.1
  + delete word
  + subsection counts now correct
  + HTML PRE emission issue corrected.
  + use newer minizip to support Ubuntu builds
  + Homebrew build system for MacOS
  + minor bugfixes
- includes changes from 0.5.1
  + fixed major file corruption bug
  + bold
  + page count
  + widescreen mode
  + UI style overhaul
  + many minor bugfixes.
- includes changes from 0.4.1:
  + Build improvements for Debian
  + bug fixes
- includes changes from 0.4
  + major overhaul: OpenDocument import/export
  + smaller file format
  + Updated to Lua 5.2
  + Migrated from `Prime Mover` to `make`
* Fri Feb 24 2012 pascal.bleser@opensuse.org
- initial version (0.3.3)
